Bug 497213 - java-1.4.2-gcj-compat should not rely on rebuild-security-providers for compatibility reasons
java-1.4.2-gcj-compat should not rely on rebuild-security-providers for compa...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: java-1.4.2-gcj-compat (Show other bugs)
5.3
All Linux
low Severity high
: rc
: ---
Assigned To: Rodney Russ
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 15:52 EDT by Daniel Qarras
Modified: 2014-08-24 04:05 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-03 08:37:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2009-04-22 15:52:21 EDT
Description of problem:
# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 5.3 (Tikanga)

# yum install eclipse-jdt eclipse-subclipse
....
--> Finished Dependency Resolution
java-1.4.2-gcj-compat-1.4.2.0-40jpp.115.x86_64 from rhel-x86_64-server-5 has
depsolving problems
  --> Missing Dependency: /usr/bin/rebuild-security-providers is needed by
package java-1.4.2-gcj-compat-1.4.2.0-40jpp.115.x86_64 (rhel-x86_64-server-5)
Error: Missing Dependency: /usr/bin/rebuild-security-providers is needed by
package java-1.4.2-gcj-compat-1.4.2.0-40jpp.115.x86_64 (rhel-x86_64-server-5)

See Bug 260161 for the Fedora report. This almost nullifies the idea of a simple Java related RPM repository :(

Luckily there are few workarounds, for example:

http://www.zarb.org/pipermail/jpackage-discuss/2008-July/012751.html
Comment 1 Levente Farkas 2009-05-19 19:56:54 EDT
so what's the solutions?
Comment 2 Craig 2009-06-25 17:09:34 EDT
It seems the problem has been resolved for jpackage 1.7, but it still very much exists for jpackage 5.0 (which I must use as I need jboss 4.2).

--> Finished Dependency Resolution
java-1.4.2-gcj-compat-1.4.2.0-40jpp.115.x86_64 from base has depsolving problems
  --> Missing Dependency: /usr/bin/rebuild-security-providers is needed by package java-1.4.2-gcj-compat-1.4.2.0-40jpp.115.x86_64 (base)
Error: Missing Dependency: /usr/bin/rebuild-security-providers is needed by package java-1.4.2-gcj-compat-1.4.2.0-40jpp.115.x86_64 (base)

# yum info jpackage-utils
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * jpackage-rhel: jpackage.netmindz.net
 * jpackage-generic: jpackage.netmindz.net
 * base: ftp.lug.udel.edu
 * updates: mirror.anl.gov
 * addons: mirror.skiplink.com
 * extras: ftp.lug.udel.edu
Installed Packages
Name       : jpackage-utils
Arch       : noarch
Version    : 5.0.0
Release    : 2.jpp5
Size       : 172 k
Repo       : installed
Summary    : JPackage utilities
URL        : http://www.jpackage.org/
License    : JPackage License
Description: Utilities for the JPackage Project <http://www.jpackage.org/>:  * /usr/bin/build-classpath                                 build the Java classpath in a portable manner * /usr/bin/build-jar-
           : repository                                 build a jar repository in a portable manner * /usr/bin/rebuild-jar-repository                                 rebuild a jar repository in a portable
           : manner                                 (after a jvm change...) * /usr/bin/build-classpath-directory                                 build the Java classpath from a directory * /usr/bin/diff-jars
           : show jar content differences * /usr/bin/jvmjar                                 install jvm extensions * /usr/share/java-utils/java-functions                                 shell script
           : functions library for Java                                 applications * /etc/java/jpackage-release                                 string identifying the currently installed
           : JPackage release * /etc/java/java.conf                                 system-wide Java configuration file * /etc/rpm/macros.jpackage                                 RPM macros for Java
           : packagers and developers * /usr/share/doc/jpackage-utils-1.6.6/jpackage-policy                                 Java packaging policy for packagers and                                 developers
Comment 3 Daniel Qarras 2009-09-06 09:22:22 EDT
Any news on this? This would be very important to fix for smooth JPackage interoperability.
Comment 4 Levente Farkas 2009-09-06 11:59:02 EDT
and we've been also waiting for a half year for this fix as it's the base of all java packages:-(
Comment 5 Daniel Qarras 2009-10-17 11:02:08 EDT
Deepak,

can you please comment on this? Is this going to be fixed or not?

The fix would be trivial so it really makes one wonder why Red Hat chooses to ignore this kind of essential problem. One would presume that it would be in the interests of Red Hat to allow people to easily use JBoss and other such packages on RHEL and its derivates instead of going the Ubuntu way but apparently that is not the case.
Comment 6 Levente Farkas 2010-01-05 11:08:15 EST
i'm just build a newer jpackage-utils, you can use it:
http://www.lfarkas.org/linux/packages/centos/5/i386/other/
Comment 7 Rudd-O DragonFear 2010-02-11 18:20:19 EST
For the love of all that is HOLY, when are you going to fix this, this has been open with a plausible resolution for NINE MONTHS.  As a result to this, I cannot install Tomcat6.  PLEASE!
Comment 8 Deepak Bhole 2010-02-12 15:59:36 EST
Sorry for delay. It was low priority and it kept getting pushed down by higher priority items. Plus it concerns an issue introduced by a thirdparty RPM (jpackage-utils from jpackage.org). It wasn't ignored on purpose -- just fell through the cracks.

Anyway, the fix is to inline the contents of rebuild-security-providers into the gcj compat rpm, i.e. same as Tom did for Fedora. Setting appropriate flags for RHEL update.
Comment 9 RHEL Product and Program Management 2010-02-12 16:27:08 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 14 RHEL Product and Program Management 2014-03-07 08:38:33 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 15 RHEL Product and Program Management 2014-06-03 08:37:30 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Note You need to log in before you can comment on or make changes to this bug.